package xyz.etztech.javacord.embed

import kotlinx.serialization.Serializable

@Serializable
class Field {
    private val name: String
    private val value: String
    private val inline: Boolean

    constructor(name: String, value: String) {
        this.name = name
        this.value = value
        inline = false
    }

    constructor(name: String, value: String, inline: Boolean) {
        this.name = name
        this.value = value
        this.inline = inline
    }
}